#ifndef AVIPLAY_ALAW_H
#define AVIPLAY_ALAW_H

#include <audiodecoder.h>

class AULAW_Decoder : public IAudioDecoder
{
    static const short alaw2short[];
    static const short ulaw2short[];
    const short* table;
public:
    AULAW_Decoder(const CodecInfo&, const WAVEFORMATEX*);
    int Convert(const void*, size_t, void*, size_t, size_t*, size_t*);
};

#endif // AVIPLAY_ALAW_H
